Invalid cert

Just restarted PhpStorm and I was hit with this, what's up with the cert?

 

 

 

PhpStorm 2019.1 EAP
Build #PS-191.6183.13, built on March 13, 2019
PhpStorm EAP User
Expiration date: April 12, 2019
JRE: 1.8.0_202-release-1483-b39 amd64
JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o
Linux 4.18.0-2-amd64

 

 

5 comments
Comment actions Permalink

There's no information about if this is related to actual ṔhpStorm or if it's just for some plugin.

0
Comment actions Permalink

It appears that PhpStorm is trying to connect to a task server you configured, and its certificate is self-signed.

You can review your task servers at Settings/Preferences | Tools | Tasks | Servers.

0
Comment actions Permalink

To my knowledge I've never added any task servers.

But I'm not at the affected workstation at the moment, will double check once I'm able to.

0
Comment actions Permalink

Do you recall anything related to p6n waw? Probably a deployment server? 

Try opening Help > Debug Log Settings and adding #com.intellij.util.net.ssl.ConfirmingTrustManager and #com.intellij.util.net.ssl.CertificateManager lines (each on their own).

Then reproduce the issue & upload somewhere publically available the idea.log file (Help > Show log in ...)

0
Comment actions Permalink

This issue magically disappeared, I can only guess that somewhere someone used an invalid or self-signed cert used by phpstorm and/or plugin, which has now been replaced with a proper cert.

I've confirmed that there was no task servers in use in my setup.

 

That being said, it's now impossible for me to reproduce the issue.

 

If no one else is experiencing this I guess we can close the case as this is no longer an issue for me and as said this might have been a temporary cert issue somewhere.

0

Please sign in to leave a comment.